关于socket.io升级到1.0.6后socketio-netty的跨域问题

李家二狗 发布于 2014/07/31 11:31
阅读 1K+
收藏 0

@hiyongboy 你好,想跟你请教个问题:我这两天有在使用socketio-netty搭建web服务器,之前前端使用socket.io.js的0.9.6的版本时,运行正常,能达到我要的效果,但是当我把socket.io.js升级到1.0.6后,页面就一直在报跨域的问题并且无法取得数据(我用的ie11,升级前transport都走websocket,升级后反而是polling,且一直循环报http://192.168.1.107:9988/socket.io/1/?t=1406777049175 的 XMLHttpRequest 需要跨域资源共享(CORS)。),不知道您是否有办法解决这个问题?

加载中
0
phpjoe
phpjoe
有遇到类似问题,有找到解决方法吗。
李家二狗
李家二狗
socket-netty好像没有人在维护了,后来没有用这个框架,自己开发了一个简单的
0
巴林的狗尾草
巴林的狗尾草
自己写一个filter加一个跨域的请求头
返回顶部
顶部